Loading...
Searching...
No Matches
date_and_time.c File Reference

ietf-yang-types date-and-time type plugin. More...

`#include "plugins_types.h"`
`#include <assert.h>`
`#include <ctype.h>`
`#include <errno.h>`
`#include <stdint.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <time.h>`
`#include "libyang.h"`
`#include "compat.h"`
`#include "ly_common.h"`
`#include "plugins_internal.h"`
Include dependency graph for date_and_time.c:

Go to the source code of this file.

## Macros

#define | _GNU_SOURCE /* strdup */

## Variables

const struct lyplg_type_record | plugins_date_and_time []
| Plugin information for date-and-time type implementation.

## Detailed Description

ietf-yang-types date-and-time type plugin.

Author
  Michal Vasko mvask.nosp@m.o@ce.nosp@m.snet..nosp@m.cz

Copyright (c) 2019-2023 CESNET, z.s.p.o.

This source code is licensed under BSD 3-Clause License (the "License"). You may not use this file except in compliance with the License. You may obtain a copy of the License at

    https://opensource.org/licenses/BSD-3-Clause

Definition in file date_and_time.c.

## Macro Definition Documentation

## _GNU_SOURCE

#define _GNU_SOURCE /* strdup */

Definition at line 15 of file date_and_time.c.

## Variable Documentation

## plugins_date_and_time

const struct lyplg_type_record plugins_date_and_time[]

Initial value:
= {
{
.module = "ietf-yang-types",
.revision = "2013-07-15",
.name = "date-and-time",
.plugin.id = "libyang 2 - date-and-time, version 1",
.plugin.store = lyplg_type_store_date_and_time,
.plugin.validate = NULL,
.plugin.compare = lyplg_type_compare_date_and_time,
.plugin.sort = lyplg_type_sort_date_and_time,
.plugin.print = lyplg_type_print_date_and_time,
.plugin.duplicate = lyplg_type_dup_date_and_time,
.plugin.free = lyplg_type_free_date_and_time,
.plugin.lyb_data_len = -1,
},
{0}
}

Plugin information for date-and-time type implementation.

Note that external plugins are supposed to use:

LYPLG_TYPES = {

Definition at line 395 of file date_and_time.c.